Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Bemassen mit festem Layer.

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Bemassen mit festem Layer. (1856 mal gelesen)
VONAG
Mitglied
Metallbautechniker /-meister


Sehen Sie sich das Profil von VONAG an!   Senden Sie eine Private Message an VONAG  Schreiben Sie einen Gästebucheintrag für VONAG

Beiträge: 20
Registriert: 31.03.2014

AutoCAD 2016

erstellt am: 11. Feb. 2015 08:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

ich habe eine Frage die hier schon x-Mal diskutiert worden ist, nämlich ob jemand eine Idee hat, wie man einem Bemaßungsstil einen festen Layer zuordnen kann, so daß dieser direkt übernommen wird und nach Beendigung des Vermassens wieder der ursprüngliche Layer aktiv ist.
Ich habe schon x Beiträge in diesem Forum darüber gelesen, aber es funktioniert einfach nicht, irgendetwas mache ich Falsch.

Meine Bemassungsstile heissen:

Bem 1- 1
Bem 1- 2
Bem 1- 5
Bem 1-10
Bem 1-20
etc.

Meine Layer für Bemassung heissen:

Bem 1-1
Bem 1-2
Bem 1-5
Bem 1-10
Bem 1-20
etc.

unter anderem habe ich hier im Forum folgende Befehle gefunden:

^C^Cdimassoc;2;-dimstyle;h;DIN1-100;graphbld;-layer;neu;W-02_08-BEM-DIN1-100;se;W-02_08-BEM-DIN1-100;fa;4;;lt;Continuous;;ls;0.18;;;^C^C_dimlinear

oder

^C^C-Layer;Se;050_Bem10;;bems h BEM_10

Mir ist klar, dass ich die Namen der Layer bzw. Bemassungsstile in den Befehlen auswechseln muss und diesen Befehl im Bemassungsicon hinterlegen muss, aber es klappt einfach nicht. Wie müsste der Befehl bei meinen Layer-/Bemassungsstilnamen korrekt heissen.

Ach ja, ich benutze AutoCAD 2012 (ohne Aplikation)

Vielleicht kann mir einer ja helfen bei diesem Problem.

Vielen Dank schon mal im Vorraus

------------------
VONAG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 11. Feb. 2015 09:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Wenn du die Makros nicht verstehst und dich nicht in Ruhe einarbeiten möchtest (kurz: Vergiss so ein Menümakro dafür),
dann erstelle einfach mal eine Bemaßung auf dem richtigen Layer, dann öffnest
du die Werkzeugpalette (Strg+3), erstellst eine Testpalette und ziehst dort dein
Bemaßungsobjekt per Drag&Drop hinein. Teste und Berichte..

(dann mußt du dich allerdings mit den Werkzeugpaletten auseinander setzen, du änderst also nur das Schlachtfeld)

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 11. Feb. 2015 09:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Ich nutze eine kleine (Reaktor)-Programmierung für sowas ... kann man auch für Hilfslinien und andere Objekttypen erweitern .... da klappt das rücksetzen des Layers auch, wenn mal ein Befehl abgebrochen wird...

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

VONAG
Mitglied
Metallbautechniker /-meister


Sehen Sie sich das Profil von VONAG an!   Senden Sie eine Private Message an VONAG  Schreiben Sie einen Gästebucheintrag für VONAG

Beiträge: 20
Registriert: 31.03.2014

AutoCAD 2016

erstellt am: 11. Feb. 2015 10:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich weiss was Werkzeugpaletten sind, ich brauche die dauernd, ich will Makros in den
einzelnen Befehlen haben. Ich weiss auch wie man welche programmiert, nur bei diesen Makros stehe ich an.

------------------
VONAG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Fiedelzastrow
Mitglied
Architekt / Bauzeichner


Sehen Sie sich das Profil von Fiedelzastrow an!   Senden Sie eine Private Message an Fiedelzastrow  Schreiben Sie einen Gästebucheintrag für Fiedelzastrow

Beiträge: 991
Registriert: 05.07.2007

Win XP
AutoCAD 2006
AutoCAD 2009
AutoCAD 2012 LT

erstellt am: 11. Feb. 2015 10:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Hallo,
was hast Du denn bis jetzt schon? Und an welchen Stellen hängst Du?
Bitte mal eine genauere Beschreibung + Dein eigenes Makro.
Gruß
Robert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 11. Feb. 2015 10:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von VONAG:

Ich weiss auch wie man welche programmiert,

Was bei Dir (bei den gezeigten Code-Schnipseln) fehlt:
Du muß Dir zunächst den aktuellen Layer merken (Wert der Systemvariable CLAYER zwischenspeichern), dann auf den gewünschten Layer wechseln, ... und zum Schluß die Systemvariable CLayer wieder auf den eingangs gemerkten Wert zurücksetzen.

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

VONAG
Mitglied
Metallbautechniker /-meister


Sehen Sie sich das Profil von VONAG an!   Senden Sie eine Private Message an VONAG  Schreiben Sie einen Gästebucheintrag für VONAG

Beiträge: 20
Registriert: 31.03.2014

AutoCAD 2016

erstellt am: 11. Feb. 2015 10:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Fiedelzastrow
ich habe bis jetzt nur die oben eingefügten Makros dazu, habe sie in x-varianten umgestellt mit meinen Layernamen und Bemassungsnamen, funktioniert aber nicht.

------------------
VONAG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Entsorger01
Moderator
Techniker




Sehen Sie sich das Profil von Entsorger01 an!   Senden Sie eine Private Message an Entsorger01  Schreiben Sie einen Gästebucheintrag für Entsorger01

Beiträge: 3165
Registriert: 07.07.2006

ACAD 2014 - SP1
VPstudio (Raster)
Acrobat Prof. X
Photoshop CS6
Win7

erstellt am: 11. Feb. 2015 11:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von jupa:

Du muß Dir zunächst den aktuellen Layer merken (Wert der Systemvariable CLAYER zwischenspeichern), dann auf den gewünschten Layer wechseln, ... und zum Schluß die Systemvariable CLayer wieder auf den eingangs gemerkten Wert zurücksetzen.

Sollte mit ^C^C_layerP am Ende des Makros auch funktionieren.

------------------
Gruß

Michi

"Es ist schon alles gesagt, nur noch nicht von allen." (Karl Valentin)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

VONAG
Mitglied
Metallbautechniker /-meister


Sehen Sie sich das Profil von VONAG an!   Senden Sie eine Private Message an VONAG  Schreiben Sie einen Gästebucheintrag für VONAG

Beiträge: 20
Registriert: 31.03.2014

AutoCAD 2016

erstellt am: 11. Feb. 2015 11:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Entsorger01

Das mit ^C^C_layerP kenne ich, aber das Hauptproblem ist, wie setze ich meine Layernamen bzw Bemassungsnamen richtig in das Markro ein.

Gruss

------------------
VONAG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 11. Feb. 2015 12:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Hier eine vereinfachte Prinziplösung (setzen des Bemstiles usw. habe ich weggelassen):
^C^C(setq temp (getvar "clayer"));(setvar "clayer" "Bemaßung");_dimlinear;\\\(setvar "clayer" temp);

Anstelle des Layernamens "Bemaßung" muß natürlich Dein Layername eingesetzt werden.
Bei Verwendung von LayerP kann das natürlich noch weiter verkürzt werden.
Könnte dann so aussehen (jetzt auch mit Bem.-Stil setzen):
^C^C(setvar "clayer" "Bemaßung");(setvar "dimstyle" "Dein_Bemaßungsstil");_dimlinear;\\\layerP;
[EDI]: fehlendes " ergänzt.

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 11. Feb. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jörg.jwd
Ehrenmitglied V.I.P. h.c.
CAD-PDM Administrator


Sehen Sie sich das Profil von jörg.jwd an!   Senden Sie eine Private Message an jörg.jwd  Schreiben Sie einen Gästebucheintrag für jörg.jwd

Beiträge: 3022
Registriert: 05.11.2003

erstellt am: 11. Feb. 2015 12:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Hallo,

kann es sein dass dir die Leerzeichen in deinen Namen Kummer bereiten? Probier's mal ohne.

------------------
Grüße

Jörg

da ich weiß daß ich nichts weiß weiß ich immer noch mehr als die die nicht wissen daß sie nichts wissen (weiß nicht von wem)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 11. Feb. 2015 13:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von jupa:
Hier eine vereinfachte Prinziplösung


Ergänzung:
Sollte der benötigte Layer noch nicht existieren, muß er erst angelegt (und mit entsprechenden Eigenschaften versehen) werden. In Deinem ersten Beitrag oben hast Du eine Codezeile zitiert, in der ein Layer mit N(eu) angelegt und dann mit SE(tzen) aktuell gemacht wird. Das geht bequemer in einem Schritt mit der Option M(achen).

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

VONAG
Mitglied
Metallbautechniker /-meister


Sehen Sie sich das Profil von VONAG an!   Senden Sie eine Private Message an VONAG  Schreiben Sie einen Gästebucheintrag für VONAG

Beiträge: 20
Registriert: 31.03.2014

AutoCAD 2016

erstellt am: 11. Feb. 2015 13:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Jupa

Vielen Dank für Deine Hilfe, es klappt jetzt, dass wenn ich Vermasse immer der Layer "Bem 1-1", aber eben IMMER auch wenn ich mit der Bemassung z.B. 1-20 etwas vermasse.
Ist zwar noch nicht das was ich will, aber schon mal ein schritt vorwärts.

Momentan sieht mein Makro so aus:

^C^C(setq temp (getvar "clayer"));(setvar "clayer" "Bem 1-1");_dimlinear;\\\(setvar "clayer" temp);

Gruss

------------------
VONAG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 11. Feb. 2015 13:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Ok. Ich bin nach Deiner Beschreibung davon ausgegangen, daß Du Dir für jeden Bemaßungsstil ein eigenes Knöpfchen basteln wolltest, bei dessen Betätigung
- der entsprechende Bemstil aktuell gesetzt wird
- der dazu paassende Layer aktuell gesetzt wird
- der Bemaßungsbefehl (bemlin) gestartet wird und letztlich
- der alte Layer wieder aktiviert wird.

Wenn dem nicht so ist (ein Knopf soll alles regeln, der gewünschte Bemaßungsstil wurde vor dem Start des Makros aktiviert) könnten ein paar LISP-Zeilen helfen (z.B. eine cond- Abfrage "Wenn Bemstil soundso gesetzt ist, dann mache Layer soundso zum aktuellen").
Beschreibe erst mal das gewünschte Handling etwas genauer.

Jürgen

BTW: ich persönlich würde die zweite vorgeschlagene Variante (die mit dem LayerP - Danke an Jörg) bevorzugen.

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 11. Feb. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 11. Feb. 2015 13:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von VONAG:
Momentan sieht mein Makro so aus:

^C^C(setq temp (getvar "clayer"));(setvar "clayer" "Bem 1-1");_dimlinear;\\\(setvar "clayer" temp);


Und bei diesem Macro wird auch IMMER der Layer "Bem 1-1" als aktueller Layer vor dem Bemaßen gesetzt. Woher soll ACAD wissen, mit welchem Bemaßunsstil arbeiten willst. Da müsstest Du entweder für jeden Bem.-Stil ein macro machen, was den jeweilig zu verwendenden Layer setzt, ODER aus dem aktuellen Bemassungsstil den zu setzenden Layer ermitteln.
Wenn Deine Bem.-Stile IDENTISCH wie die Layer sind (oben ist bei den 1- 1 bis 1- 5 im Bem.-Stil noch ein Leerzeichen drin), könnte es mit

(setvar "clayer" (getvar "dimstyle")) klappen.

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

VONAG
Mitglied
Metallbautechniker /-meister


Sehen Sie sich das Profil von VONAG an!   Senden Sie eine Private Message an VONAG  Schreiben Sie einen Gästebucheintrag für VONAG

Beiträge: 20
Registriert: 31.03.2014

AutoCAD 2016

erstellt am: 11. Feb. 2015 14:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Jupa

So mit folgendem Befehl geht es und ich kann damit leben:

^C^C(setq temp (getvar "clayer"));(setvar "clayer" "Bem 1-1");_dimlinear;\\\(setvar "clayer" temp);

Doch eine Lösung bringt schon wieder das neue Problem.

Ich habe meine Maus so eingestellt, dass rechte Maustaste heisst "Den Letzten Befehl wiederholen" dabei funktioniert dies aber wieder nicht.
Vielleicht gibt's da ja auch noch eine Lösung.

An Alle: Trotzdem schon mal vielen Dank für die Hilfe

------------------
VONAG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 11. Feb. 2015 16:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Servus, da wäre es einfacher ein lisp laufen zu lassen das dir nachträglich die Bemstile auf den richtige Layer legt.

(prog (ssget "_x" '((0 . "DIMENSION") (3 . "Bem 1-1"))) (command "_change" "_p" "" "_pr" "_la" "Bem 1-1" "")) etc...

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. "Ist bestimmt nicht das schönste Projekt auf Erden, aber läuft vielleicht.". Schöne Grüsse aus der Steiermark  Bernd P. Sport ist Mord
Rekorde: Scalelist>11727, Fehler>34365, Layerfilter>XXXX

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 11. Feb. 2015 16:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von VONAG:

Ich habe meine Maus so eingestellt, dass rechte Maustaste heisst "Den Letzten Befehl wiederholen" dabei funktioniert dies aber wieder nicht.

Was hast Du wo wie eingestellt? Weil, ich habe (gegenüber den Standardeinstellungen) gar nichts "eingestellt" (d.h. nichts verändert), und bei mir funktioniert's.
[EDIT] siehe unten.

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 11. Feb. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 11. Feb. 2015 16:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Sorry, doppelt gepostet 

[Diese Nachricht wurde von jupa am 11. Feb. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 11. Feb. 2015 16:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Bernd P:

da wäre es einfacher ...

Tja, mit Fortschreibung der Aufgabenstellung ergeben sich immer wieder neue Lösungsansätze  .
Mir schwebte auch schon ein LISP-Fünfzeiler vor, der bei Aufruf des modifizierten Bemaßungsbefehles zuerst den gewünschten Bemaßungsstil abfragt (komfortablerweise in einem Auswahlfenster) und dann den Rest (Bemaßung auf richtigem Layer erstellen usw.) erledigt.
Aber - wir werden ja nur scheibchenweise über die gewünschte Funktionalität informiert. (Kein Vorwurf an den TE, nur eine Feststellung). Und das ginge auch ein wenig über "eine Macrozeile" hinaus.
Dein Vorschlag erscheint mir aber als ein sehr guter Kompromiß, insbesondere wenn jemand z.B.  nachträglich den Bemaßungsstil einer vorhandenen Bemaßung ändert - einfach diese Routine nochmal laufen lassen und alles ist repariert. Achja - soo viele Möglichkeiten ...

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 11. Feb. 2015 17:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von jupa:
und bei mir funktioniert's.


Ich korrigiere mich wie folgt:
Geht bei mir auch nicht (und kann ja auch nicht). Hatte vorhin einen "Guck-"Fehler. Entschuldigung.

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

scj
Mitglied
 


Sehen Sie sich das Profil von scj an!   Senden Sie eine Private Message an scj  Schreiben Sie einen Gästebucheintrag für scj

Beiträge: 547
Registriert: 09.08.2001

erstellt am: 11. Feb. 2015 20:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Versuch's mal mit diesem Button-Makro
*^C^C_DIMLINEAR;\\\_CHANGE;_LAST;;_P;_LA;BEMASSUNG;;\
(Der Layer BEMASSUNG muss natürlich schon existieren.)
Viel Erfolg
Jochen
PS.: Makro am besten mit COPY/PASTE übertragen, es kommt auf jedes Zeichen an!
PS.PS.: Da ohne AutoLISP - auch für LT verwendbar!

[Diese Nachricht wurde von scj am 12. Feb. 2015 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

VONAG
Mitglied
Metallbautechniker /-meister


Sehen Sie sich das Profil von VONAG an!   Senden Sie eine Private Message an VONAG  Schreiben Sie einen Gästebucheintrag für VONAG

Beiträge: 20
Registriert: 31.03.2014

AutoCAD 2016

erstellt am: 12. Feb. 2015 13:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Bernd P

das mit dem LISP ist eigentlich auch eine gute Idee, wie ist das zu verstehen:
Man zeichnet wild drauf los, ohne Rücksicht auf die Bemassungslayer in Bezug zu Bemassungsmassstäbe zu machen, gibt am
Ende den LISP-Befehl an und jeder Massstab wird automatisch seinem Layer zugefügt. Das währe ebenfalls eine hervorragende Lösung.

Nur.... ich weiss wie man LISP-Befehle anwendet, aber von deren Programmierung habe ich Null Ahnung. Wenn mir da nicht jemand gröber unter die Arme greift habe ich keine Chance.

Trotzdem danke für den Lösungsvorschlag.

------------------
VONAG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 12. Feb. 2015 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Hallo VONAG,

ich verweise mal nochmal hierdrauf.

Hast Du das schon mal probiert?
Also Bemaßungsstil einstellen, und dann das Macro starten.
Voraussetzung: Bemaßungsstil- und Layername müssen identisch sein.

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Der Fuchs
Mitglied
Productmanager


Sehen Sie sich das Profil von Der Fuchs an!   Senden Sie eine Private Message an Der Fuchs  Schreiben Sie einen Gästebucheintrag für Der Fuchs

Beiträge: 90
Registriert: 08.04.2008

AutoCAD
AutoCAD Architecture
Fassadenbau BIM
ATHENA
Advance Steel
Boole.fr
Windows 10 pro 64 Bit

erstellt am: 12. Feb. 2015 15:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Hast Du es schon einmal mit den Beschriftungsstilen probiert? Damit löst sich das ganze Gefiltere von Layern. Dann brauchst Du nur noch den Layer korrekt zu setzen auf "BEMASSUNG". Nötigenfalls halt mit SAUSWAHL im Nachhinein.

Diese Diskussion hier ist eigentlich schon uralt.

Eine andere Lösung wäre, eine Applikation zu kaufen, welche das löst. Beispielsweise ATHENA.

------------------
CAD Software für Stahl- und Metallbau.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 16. Feb. 2015 09:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Die Namensgebung von Layer und Bem-Stil lässt mich schließen, dass beides Maßstabsabhängig ist. Wenn dem so ist halte ich meine Vorgangsweise für nicht die Schlechteste.
Ich setze immer den richtigen Beschriftungsmaßstab und damit die auch Variable CANNOSCALE, um am Bildschirm immer das später auszudruckende in den richtigen Größen zu sehen, seien es Linientypen, Texte usw.. Mit dem Setzen des Beschriftungsmaßstabs wird auch der/die dazupassende(n)Bemaßungsstil(e) gesetzt.Bemasst wird dann mit einem im Hintergrund laufenden Reaktor, der abhängig von CANNOSCALE den richtigen Bemaßungslayer setzt und den Layer nach Abschluss der Bemaßung auch wieder auf den vor der Bemaßung gültigen zurücksetzt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 16. Feb. 2015 10:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für VONAG 10 Unities + Antwort hilfreich

Der Hinweis von CADmium auf eine Reaktor Programmierung ist die Lösung für alle geäußerten Wünsche.
Wie es geht - mit einem Beispiel ist heri nachzulesen:
http://www.activex.autolisp.info/layreactor.html

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz